/*
 * UNC001 firmware. (c) Unicontrollers, Ltd., 2010-2012
 *
 * Please see the files README, COPYING, LICENSE and WARRANTY
 * for some useful details on the legal status of this code.
 * Visit the site http://www.unicontrollers.com for more info.
 *
 * file factrydf.c
 * The default values for the registers of the device, also 
 * known as 'factory defaults'
 *
 * Written by Andrey V. Stolyarov
 *
 */

#ifndef FACTRYDF_H_SENTRY
#define FACTRYDF_H_SENTRY

#define DEFAULT_UNC_ID 0x7775

#define DEFAULT_REACTION_REGISTER 0x60000000

#define DEFAULT_USER_CONFIGURATION 0x00000002       /* 2 * 1 laps */

#define DEFAULT_HARDWARE_CONFIGURATION 0x46000004
                  /* timer ticks after 17920 cycles; inputs at 1st slot */


#endif
