/*
 * UNC001 firmware. (c) Unicontrollers, Ltd., 2013
 *
 * Please see the files README, COPYING, LICENSE and WARRANTY
 * for some useful details on the legal status of this code.
 * Visit the site http://www.unicontrollers.com for more info.
 *
 * file print.h
 * Printing functions' prototypes
 *
 * Written by Andrey V. Stolyarov
 *
 */

#ifndef PRINT_H_SENTRY
#define PRINT_H_SENTRY

#ifdef UNC_RS232_SUPPORT
extern uint8_t force_to_serial;
#endif

#ifdef UNC_RS232_SUPPORT
void print_char(uint8_t c);
#else
#define print_char(c) global_state_putchar(c)
#endif

void print_str(const char *s);
void print_hex_byte(uint8_t d);
void print_hex(uint16_t d);

#endif
